/*
 * Cantata
 *
 * Copyright (c) 2011-2022 Craig Drummond <craig.p.drummond@gmail.com>
 *
 * ----
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef MONO_ICON_H
#define MONO_ICON_H

#include <QIcon>

/**
 * This enum is taken from QtAwesome:
 *
 * MIT Licensed
 *
 * Copyright 2013-2015 - Reliable Bits Software by Blommers IT. All Rights Reserved.
 * Author Rick Blommers
 */
namespace FontAwesome {
  enum icon {
    ex_one                  =           0x00001,

    adjust                  =           0x1f042,
    adn                     =           0x2f170,
    aligncenter             =           0x1f037,
    alignjustify            =           0x1f039,
    alignleft               =           0x1f036,
    alignright              =           0x1f038,
    ambulance               =           0x1f0f9,
    anchor                  =           0x1f13d,
    android                 =           0x2f17b,
    angellist               =           0x2f209,
    angledoubledown         =           0x1f103,
    angledoubleleft         =           0x1f100,
    angledoubleright        =           0x1f101,
    angledoubleup           =           0x1f102,
    angledown               =           0x1f107,
    angleleft               =           0x1f104,
    angleright              =           0x1f105,
    angleup                 =           0x1f106,
    apple                   =           0x2f179,
    archive                 =           0x1f187,
    areachart               =           0x1f1fe,
    arrowcircledown         =           0x1f0ab,
    arrowcircleleft         =           0x1f0a8,
    arrowcircleodown        =           0x0f01a,
    arrowcircleoleft        =           0x0f190,
    arrowcircleoright       =           0x0f18e,
    arrowcircleoup          =           0x0f01b,
    arrowcircleright        =           0x1f0a9,
    arrowcircleup           =           0x1f0aa,
    arrowdown               =           0x1f063,
    arrowleft               =           0x1f060,
    arrowright              =           0x1f061,
    arrowup                 =           0x1f062,
    arrows                  =           0x1f047,
    arrowsalt               =           0x1f31e,
    arrowsh                 =           0x1f07e,
    arrowsv                 =           0x1f07d,
    asterisk                =           0x1f069,
    at                      =           0x0f1fa,
    automobile              =           0x1f1b9,
    backward                =           0x1f04a,
    ban                     =           0x1f05e,
    bank                    =           0x1f19c,
    barchart                =           0x1e0e3,
    barcharto               =           0x1e0e3,
    barcode                 =           0x1f02a,
    bars                    =           0x1f0c9,
    bed                     =           0x1f236,
    beer                    =           0x1f0fc,
    behance                 =           0x2f1b4,
    behancesquare           =           0x2f1b5,
    bell                    =           0x1f0f3,
    bello                   =           0x0f0a2,
    bellslash               =           0x1f1f6,
    bellslasho              =           0x0f1f7,
    bicycle                 =           0x1f206,
    binoculars              =           0x1f1e5,
    birthdaycake            =           0x1f1fd,
    bitbucket               =           0x2f171,
    bitbucketsquare         =           0x2f172,
    bitcoin                 =           0x2f15a,
    bold                    =           0x1f032,
    bolt                    =           0x1f0e7,
    bomb                    =           0x1f1e2,
    book                    =           0x1f02d,
    bookmark                =           0x1f02e,
    bookmarko               =           0x0f097,
    briefcase               =           0x1f0b1,
    btc                     =           0x2f15a,
    bug                     =           0x1f188,
    building                =           0x1f1ad,
    buildingo               =           0x0f0f7,
    bullhorn                =           0x1f0a1,
    bullseye                =           0x1f140,
    bus                     =           0x1f207,
    buysellads              =           0x2f20d,
    cab                     =           0x1f1ba,
    calculator              =           0x1f1ec,
    calendar                =           0x0f073,
    calendaro               =           0x0f133,
    camera                  =           0x1f030,
    cameraretro             =           0x1f083,
    car                     =           0x1f1b9,
    caretdown               =           0x1f0d7,
    caretleft               =           0x1f0d9,
    caretright              =           0x1f0da,
    caretsquareodown        =           0x0f150,
    caretsquareoleft        =           0x0f191,
    caretsquareoright       =           0x0f152,
    caretsquareoup          =           0x0f151,
    caretup                 =           0x1f0d8,
    cartarrowdown           =           0x1f218,
    cartplus                =           0x1f217,
    cc                      =           0x0f20a,
    ccamex                  =           0x2f1f3,
    ccdiscover              =           0x2f1f2,
    ccmastercard            =           0x2f1f1,
    ccpaypal                =           0x2f1f4,
    ccstripe                =           0x2f1f5,
    ccvisa                  =           0x2f1f0,
    certificate             =           0x1f0a3,
    chain                   =           0x1f0c1,
    chainbroken             =           0x1f127,
    check                   =           0x1f00c,
    checkcircle             =           0x1f058,
    checkcircleo            =           0x0f05d,
    checksquare             =           0x1f14a,
    checksquareo            =           0x0f14a,
    chevroncircledown       =           0x1f13a,
    chevroncircleleft       =           0x1f137,
    chevroncircleright      =           0x1f138,
    chevroncircleup         =           0x1f139,
    chevrondown             =           0x1f078,
    chevronleft             =           0x1f053,
    chevronright            =           0x1f054,
    chevronup               =           0x1f077,
    child                   =           0x1f1ae,
    circle                  =           0x1f111,
    circleo                 =           0x0f10c,
    circleonotch            =           0x1f1ce,
    circlethin              =           0x0f1db,
    clipboard               =           0x0f0ea,
    clocko                  =           0x0f017,
    close                   =           0x1f00d,
    cloud                   =           0x1f0c2,
    clouddownload           =           0x1f0ed,
    cloudupload             =           0x1f0ee,
    cny                     =           0x1f157,
    code                    =           0x1f121,
    codefork                =           0x1f126,
    codepen                 =           0x2f1cb,
    coffee                  =           0x1f0f4,
    cog                     =           0x1f013,
    cogs                    =           0x1f085,
    columns                 =           0x1f0db,
    comment                 =           0x1f075,
    commento                =           0x0f0e5,
    comments                =           0x1f086,
    commentso               =           0x0f0e6,
    compass                 =           0x0f14e,
    compress                =           0x1f422,
    connectdevelop          =           0x2f20e,
    copy                    =           0x0f0c5,
    copyright               =           0x0f1f9,
    creditcard              =           0x0f09d,
    crop                    =           0x1f125,
    crosshairs              =           0x1f05b,
    css3                    =           0x2f13c,
    cube                    =           0x1f1b2,
    cubes                   =           0x1f1b3,
    cut                     =           0x1f0c4,
    cutlery                 =           0x1f0f5,
    dashboard               =           0x1f0e4,
    dashcube                =           0x2f210,
    database                =           0x1f1c0,
    dedent                  =           0x1f03b,
    delicious               =           0x2f1a5,
    desktop                 =           0x1f108,
    deviantart              =           0x2f1bd,
    diamond                 =           0x1f219,
    digg                    =           0x2f1a6,
    dollar                  =           0x2f155,
    dotcircleo              =           0x0f192,
    download                =           0x1f019,
    dribbble                =           0x2f17d,
    dropbox                 =           0x2f16b,
    drupal                  =           0x2f1a9,
    edit                    =           0x0f044,
    eject                   =           0x1f052,
    ellipsish               =           0x1f141,
    ellipsisv               =           0x1f142,
    empire                  =           0x2f1d1,
    envelope                =           0x1f0e0,
    envelopeo               =           0x0f003,
    envelopesquare          =           0x1f199,
    eraser                  =           0x1f12d,
    eur                     =           0x1f153,
    euro                    =           0x1f153,
    exchange                =           0x1f0ec,
    exclamation             =           0x1f12a,
    exclamationcircle       =           0x1f06a,
    exclamationtriangle     =           0x1f071,
    expand                  =           0x1f424,
    externallink            =           0x1f08e,
    externallinksquare      =           0x1f14c,
    eye                     =           0x0f06e,
    eyeslash                =           0x0f070,
    eyedropper              =           0x1f1fb,
    facebook                =           0x2f09a,
    facebookf               =           0x2f09a,
    facebookofficial        =           0x2f230,
    facebooksquare          =           0x2f082,
    fastbackward            =           0x1f049,
    fastforward             =           0x1f050,
    fax                     =           0x1f1ac,
    female                  =           0x1f182,
    fighterjet              =           0x1f0fb,
    file                    =           0x1f15b,
    filearchiveo            =           0x0f1c6,
    fileaudioo              =           0x0f1c7,
    filecodeo               =           0x0f1c9,
    fileexcelo              =           0x0f1c3,
    fileimageo              =           0x0f1c5,
    filemovieo              =           0x0f1c8,
    fileo                   =           0x0f016,
    filepdfo                =           0x0f1c1,
    filephotoo              =           0x0f1c5,
    filepictureo            =           0x0f1c5,
    filepowerpointo         =           0x0f1c4,
    filesoundo              =           0x0f1c7,
    filetext                =           0x1f15c,
    filetexto               =           0x0f0f6,
    filevideoo              =           0x0f1c8,
    filewordo               =           0x0f1c2,
    filezipo                =           0x0f1c6,
    fileso                  =           0x0f0c5,
    film                    =           0x1f008,
    filter                  =           0x1f0b0,
    fire                    =           0x1f06d,
    fireextinguisher        =           0x1f134,
    flag                    =           0x1f024,
    flagcheckered           =           0x1f11e,
    flago                   =           0x0f11d,
    flash                   =           0x1f0e7,
    flask                   =           0x1f0c3,
    flickr                  =           0x2f16e,
    floppyo                 =           0x0f0c7,
    folder                  =           0x1f07b,
    foldero                 =           0x0f114,
    folderopen              =           0x1f07c,
    folderopeno             =           0x0f115,
    font                    =           0x1f031,
    forumbee                =           0x2f211,
    forward                 =           0x1f04e,
    foursquare              =           0x2f180,
    frowno                  =           0x0f119,
    futbolo                 =           0x1f1e3,
    gamepad                 =           0x1f11b,
    gavel                   =           0x1f0e3,
    gbp                     =           0x1f154,
    ge                      =           0x2f1d1,
    gear                    =           0x1f013,
    gears                   =           0x1f085,
    genderless              =           0x0f1db,
    gift                    =           0x1f06b,
    git                     =           0x2f1d3,
    gitsquare               =           0x2f1d2,
    github                  =           0x2f09b,
    githubalt               =           0x2f113,
    githubsquare            =           0x2f092,
    gittip                  =           0x2f184,
    glass                   =           0x1f000,
    globe                   =           0x1f0ac,
    google                  =           0x2f1a0,
    googleplus              =           0x2f0d5,
    googleplussquare        =           0x2f0d4,
    googlewallet            =           0x2f1ee,
    graduationcap           =           0x1f19d,
    gratipay                =           0x2f184,
    group                   =           0x1f0c0,
    hsquare                 =           0x1f0fd,
    hackernews              =           0x2f1d4,
    handodown               =           0x0f0a7,
    handoleft               =           0x0f0a5,
    handoright              =           0x0f0a4,
    handoup                 =           0x0f0a6,
    hddo                    =           0x0f0a0,
    header                  =           0x1f1dc,
    headphones              =           0x1f025,
    heart                   =           0x1f004,
    hearto                  =           0x0f08a,
    heartbeat               =           0x1f21e,
    history                 =           0x1f1da,
    home                    =           0x1f015,
    hospitalo               =           0x0f0f8,
    hotel                   =           0x1f236,
    html5                   =           0x2f13b,
    ils                     =           0x1f20b,
    image                   =           0x0f03e,
    inbox                   =           0x1f01c,
    indent                  =           0x1f03c,
    info                    =           0x1f129,
    infocircle              =           0x1f05a,
    inr                     =           0x2f156,
    instagram               =           0x2f16d,
    institution             =           0x1f19c,
    ioxhost                 =           0x2f208,
    italic                  =           0x1f033,
    joomla                  =           0x2f1aa,
    jpy                     =           0x1f157,
    jsfiddle                =           0x2f1cc,
    key                     =           0x1f084,
    keyboardo               =           0x0f11c,
    krw                     =           0x1f159,
    language                =           0x1f1ab,
    laptop                  =           0x1f109,
    lastfm                  =           0x2f202,
    lastfmsquare            =           0x2f203,
    leaf                    =           0x1f06c,
    leanpub                 =           0x2f212,
    legal                   =           0x1f0e3,
    lemono                  =           0x0f094,
    leveldown               =           0x1f149,
    levelup                 =           0x1f148,
    lifebouy                =           0x1f1cd,
    lifebuoy                =           0x1f1cd,
    lifering                =           0x1f1cd,
    lifesaver               =           0x1f1cd,
    lightbulbo              =           0x0f0eb,
    linechart               =           0x1f201,
    link                    =           0x1f0c1,
    linkedin                =           0x2f0e1,
    linkedinsquare          =           0x2f08c,
    linux_os                =           0x2f17c,
    list                    =           0x1f03a,
    listalt                 =           0x0f022,
    listol                  =           0x1f0cb,
    listul                  =           0x1f0ca,
    locationarrow           =           0x1f124,
    lock                    =           0x1f023,
    longarrowdown           =           0x1f175,
    longarrowleft           =           0x1f177,
    longarrowright          =           0x1f178,
    longarrowup             =           0x1f176,
    magic                   =           0x1f0d0,
    magnet                  =           0x1f076,
    mailforward             =           0x1f064,
    mailreply               =           0x1f112,
    mailreplyall            =           0x1f122,
    male                    =           0x1f183,
    mapmarker               =           0x1f041,
    mars                    =           0x1f222,
    marsdouble              =           0x1f227,
    marsstroke              =           0x1f229,
    marsstrokeh             =           0x1f22b,
    marsstrokev             =           0x1f22a,
    maxcdn                  =           0x2f136,
    medium                  =           0x2f23a,
    medkit                  =           0x1f0fa,
    meho                    =           0x0f11a,
    mercury                 =           0x1f223,
    microphone              =           0x1f130,
    microphoneslash         =           0x1f131,
    minus                   =           0x1f068,
    minuscircle             =           0x1f056,
    minussquare             =           0x1f147,
    minussquareo            =           0x0f147,
    mobile                  =           0x1f10b,
    mobilephone             =           0x1f10b,
    money                   =           0x1f0d6,
    moono                   =           0x0f186,
    mortarboard             =           0x1f19d,
    motorcycle              =           0x1f21c,
    music                   =           0x1f001,
    navicon                 =           0x1f0c9,
    neuter                  =           0x1f22c,
    newspapero              =           0x0f1ea,
    openid                  =           0x2f19b,
    outdent                 =           0x1f03b,
    pagelines               =           0x2f18c,
    paintbrush              =           0x1f1fc,
    paperplane              =           0x1f1d8,
    paperplaneo             =           0x0f1d9,
    paperclip               =           0x1f0c6,
    paragraph               =           0x1f1dd,
    paste                   =           0x0f0ea,
    pause                   =           0x1f04c,
    paw                     =           0x1f1b0,
    paypal                  =           0x2f1ed,
    pencil                  =           0x1f040,
    pencilsquare            =           0x1f14b,
    pencilsquareo           =           0x0f044,
    phone                   =           0x1f095,
    phonesquare             =           0x1f098,
    photo                   =           0x0f03e,
    pictureo                =           0x0f03e,
    piechart                =           0x1f200,
    piedpiper               =           0x2f1a7,
    piedpiperalt            =           0x2f1a8,
    pinterest               =           0x2f0d2,
    pinterestp              =           0x2f231,
    pinterestsquare         =           0x2f0d3,
    plane                   =           0x1f072,
    play                    =           0x1f04b,
    playcircle              =           0x1f144,
    playcircleo             =           0x0f01d,
    plug                    =           0x1f1e6,
    plus                    =           0x1f067,
    pluscircle              =           0x1f055,
    plussquare              =           0x1f0fe,
    plussquareo             =           0x0f196,
    poweroff                =           0x1f011,
    print                   =           0x1f02f,
    puzzlepiece             =           0x1f12e,
    qq                      =           0x2f1d6,
    qrcode                  =           0x1f029,
    question                =           0x1f128,
    questioncircle          =           0x1f059,
    quoteleft               =           0x1f10d,
    quoteright              =           0x1f10e,
    ra                      =           0x2f1d0,
    random                  =           0x1f074,
    rebel                   =           0x2f1d0,
    recycle                 =           0x1f1b8,
    reddit                  =           0x2f1a1,
    redditsquare            =           0x2f1a2,
    refresh                 =           0x1f021,
    remove                  =           0x1f00d,
    renren                  =           0x2f18b,
    reorder                 =           0x1f0c9,
    repeat                  =           0x1f01e,
    reply                   =           0x1f112,
    replyall                =           0x1f122,
    retweet                 =           0x1f079,
    rmb                     =           0x1f157,
    road                    =           0x1f018,
    rocket                  =           0x1f135,
    rotateleft              =           0x1f0e2,
    rotateright             =           0x1f01e,
    rouble                  =           0x1f158,
    rss                     =           0x1f09e,
    rsssquare               =           0x1f143,
    rub                     =           0x1f158,
    ruble                   =           0x1f158,
    rupee                   =           0x1f156,
    save                    =           0x0f0c7,
    scissors                =           0x1f0c4,
    search                  =           0x1f002,
    searchminus             =           0x1f010,
    searchplus              =           0x1f00e,
    sellsy                  =           0x2f213,
    send                    =           0x1f1d8,
    sendo                   =           0x0f1d9,
    server                  =           0x1f233,
    share                   =           0x1f064,
    sharealt                =           0x1f1e0,
    sharealtsquare          =           0x1f1e1,
    sharesquare             =           0x1f14d,
    sharesquareo            =           0x0f14d,
    shekel                  =           0x1f20b,
    sheqel                  =           0x1f20b,
    shield                  =           0x1f132,
    ship                    =           0x1f21a,
    shirtsinbulk            =           0x2f214,
    shoppingcart            =           0x1f07a,
    signin                  =           0x1f090,
    signout                 =           0x1f08b,
    signal                  =           0x1f012,
    simplybuilt             =           0x2f215,
    sitemap                 =           0x1f0e8,
    skyatlas                =           0x2f216,
    skype                   =           0x2f17e,
    slack                   =           0x2f198,
    sliders                 =           0x1f1de,
    slideshare              =           0x2f1e7,
    smileo                  =           0x0f118,
    soccerballo             =           0x0f1e3,
    sort                    =           0x1f0dc,
    sortalphaasc            =           0x1f15d,
    sortalphadesc           =           0x1f15e,
    sortamountasc           =           0x1f160,
    sortamountdesc          =           0x1f161,
    sortasc                 =           0x1f0de,
    sortdesc                =           0x1f0dd,
    sortdown                =           0x1f0dd,
    sortnumericasc          =           0x1f162,
    sortnumericdesc         =           0x1f163,
    sortup                  =           0x1f0de,
    soundcloud              =           0x2f1be,
    spaceshuttle            =           0x1f197,
    spinner                 =           0x1f110,
    spoon                   =           0x1f1b1,
    spotify                 =           0x2f1bc,
    square                  =           0x1f0c8,
    squareo                 =           0x0f0c8,
    stackexchange           =           0x2f18d,
    stackoverflow           =           0x2f16c,
    star                    =           0x1f005,
    starhalf                =           0x1f089,
    starhalfempty           =           0x1f123,
    starhalffull            =           0x1f123,
    starhalfo               =           0x1f123,
    staro                   =           0x0f006,
    steam                   =           0x2f1b6,
    steamsquare             =           0x2f1b7,
    stepbackward            =           0x1f048,
    stepforward             =           0x1f051,
    stethoscope             =           0x1f0f1,
    stop                    =           0x1f04d,
    streetview              =           0x1f21d,
    strikethrough           =           0x1f0cc,
    stumbleupon             =           0x2f1a4,
    stumbleuponcircle       =           0x2f1a3,
    subscript               =           0x1f12c,
    subway                  =           0x1f239,
    suitcase                =           0x1f0f2,
    suno                    =           0x0f185,
    superscript             =           0x1f12b,
    support                 =           0x1f1cd,
    table                   =           0x1f0ce,
    tablet                  =           0x1f10a,
    tachometer              =           0x1f0e4,
    tag                     =           0x1f02b,
    tags                    =           0x1f02c,
    tasks                   =           0x1f0ae,
    taxi                    =           0x1f1ba,
    tencentweibo            =           0x2f1d5,
    terminal                =           0x1f120,
    textheight              =           0x1f034,
    textwidth               =           0x1f035,
    th                      =           0x1f00a,
    thlarge                 =           0x1f009,
    thlist                  =           0x1f00b,
    thumbtack               =           0x1f08d,
    thumbsdown              =           0x1f165,
    thumbsodown             =           0x0f088,
    thumbsoup               =           0x0f087,
    thumbsup                =           0x1f164,
    ticket                  =           0x1f145,
    times                   =           0x1f00d,
    timescircle             =           0x1f05c,
    timescircleo            =           0x0f05c,
    tint                    =           0x1f043,
    toggledown              =           0x0f150,
    toggleleft              =           0x0f191,
    toggleoff               =           0x1f204,
    toggleon                =           0x1f205,
    toggleright             =           0x0f152,
    toggleup                =           0x0f151,
    train                   =           0x1f238,
    transgender             =           0x1f224,
    transgenderalt          =           0x1f225,
    trash                   =           0x1f1f8,
    trasho                  =           0x0f014,
    tree                    =           0x1f1bb,
    trello                  =           0x2f181,
    trophy                  =           0x1f091,
    truck                   =           0x1f0d1,
    fa_try                  =           0x1f195,            // add prefix fa_ (try is a keyword)
    tty                     =           0x1f1e4,
    tumblr                  =           0x2f173,
    tumblrsquare            =           0x2f174,
    turkishlira             =           0x1f195,
    twitch                  =           0x2f1e8,
    twitter                 =           0x2f099,
    twittersquare           =           0x2f081,
    umbrella                =           0x1f0e9,
    underline               =           0x1f0cd,
    undo                    =           0x1f0e2,
    university              =           0x1f19c,
    unlink                  =           0x1f127,
    unlock                  =           0x1f09c,
    unlockalt               =           0x1f13e,
    unsorted                =           0x1f0dc,
    upload                  =           0x1f093,
    usb                     =           0x2f287,
    usd                     =           0x1f155,
    user                    =           0x1f007,
    usermd                  =           0x1f0f0,
    userplus                =           0x1f234,
    usersecret              =           0x1f21b,
    usertimes               =           0x1f235,
    users                   =           0x1f0c0,
    venus                   =           0x1f221,
    venusdouble             =           0x1f226,
    venusmars               =           0x1f228,
    viacoin                 =           0x2f237,
    videocamera             =           0x1f03d,
    vimeosquare             =           0x2f194,
    vine                    =           0x2f1ca,
    vk                      =           0x2f189,
    volumedown              =           0x1f027,
    volumeoff               =           0x1f026,
    volumeup                =           0x1f028,
    warning                 =           0x1f071,
    wechat                  =           0x2f1d7,
    weibo                   =           0x2f18a,
    weixin                  =           0x2f1d7,
    whatsapp                =           0x2f232,
    wheelchair              =           0x1f193,
    wifi                    =           0x1f1eb,
    windows                 =           0x2f17a,
    won                     =           0x1f159,
    wordpress               =           0x2f19a,
    wrench                  =           0x1f0ad,
    xing                    =           0x2f168,
    xingsquare              =           0x2f169,
    yahoo                   =           0x2f19e,
    yelp                    =           0x2f1e9,
    yen                     =           0x1f157,
    youtube                 =           0x2f167,
    youtubeplay             =           0x2f16a,
    youtubesquare           =           0x2f166,

    podcast                 =           0x1f2ce
  };
}

namespace MonoIcon
{
    extern const QColor constRed;
    extern QIcon icon(const QString &fileName, const QColor &col, const QColor &sel=QColor(QColor::Invalid));
    extern QIcon icon(const FontAwesome::icon icon, const QColor &col, const QColor &sel=QColor(QColor::Invalid));
}

#endif // MonoIcon_H
